.button{
    color: white;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    position: relative;
    width: 100%;
    min-height: 40px;
}
.button-icon{
    position: absolute;
    right: 0px;
    height: 100%;
    width: 40px;
    background-color: rgba(255,255,255,.2);
    border-radius: 0 10px 10px 0;
}
.button img{
    position: absolute;
    right: 15px;
    top: calc(50% - 5px);
}

@media all and (max-width: 1224px) {
    .button-icon {
        display: none;
    }
}